## tworld 1.3.2

=== debian/changelog ===
tworld (1.3.2-4) unstable; urgency=medium

  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.2.
  * Use debhelper-compat 13.
  * Use https URL in debian/watch, and use version=4.
  * Remove menu file.
  * Use DEB_BUILD_MAINT_OPTIONS hardening=+all.
  * Change debian/copyright to DEP5.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 17 Jan 2023 12:46:06 +0100

tworld (1.3.2-3) unstable; urgency=medium

  * Remove doc symlink to -data package from tworld to make it binNMUable
    (closes: #857974)
  * Install docs into tworld package instead of tworld-data.
  * Bump Standards-Version to 3.9.8.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 22 Mar 2017 09:54:26 +0100

tworld (1.3.2-2) unstable; urgency=medium

  * Fix reproducible issue, thanks to Chris Lamb for finding the spot to
    tweak. Closes: #792980 is about a different issue, but that one is fixed
    and the one report about reproducible build open so closing it here.
  * Get rid of ancient postinst script from oldstable times.
  * Apply patch provided by upstream to support DESTDIR and use
    dh_auto_install again.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 05 Jan 2016 14:23:32 +0100

tworld (1.3.2-1) unstable; urgency=medium

  * New Upstream release (closes: #807623)
  * Update 01_fix-manpage and refresh 02_integer-types patches.
  * Change debian/rules to dh style.
  * Change source format to 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * Add patch 03_fix-Makefile.in to make clean work (repeatedly).
  * Update VCS-* links.

 -- Rhonda D'Vine <rhonda@debian.org>  Fri, 01 Jan 2016 03:11:43 +0100

tworld (1.3.0-6) unstable; urgency=low

  [ Peter Pentchev ]
  * Add patch from Drake Wilson to fix solution files for 64 bit architectures
    (closes: #427360; LP: #307897)
  * Explicit call set -e in maintainer scripts.
  * Enhance short description of -data package.

  [ Gerfried Fuchs ]
  * Bump Standards-Version to 3.9.2.
  * Switch packaging licensing to WTFPLv2.
  * Supress error message in postinst if rmdir fails. Also, use lt-nl rather
    than le-nl.
  * Add Changelog as upstream changelog.
  * Add some typo fixes into patch fix-manpage.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 24 May 2011 22:53:12 +0200

tworld (1.3.0-5) unstable; urgency=low

  * Switch doc dir from tworld to symlink as dpkg isn't able to do so.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 12 Sep 2008 15:13:35 +0200

tworld (1.3.0-4) unstable; urgency=low

  * Removed debian/docs cruft.
  * Switched Maintainer to Games Team.
  * Added copyright informations for c4 to debian/copyright.
  * Switched packaging licensing to BSD style.
  * Added Vcs-* informations to debian/control.
  * Split the architecture independent data files into its own tworld-data
    package.
  * Use filter instead of findstring for DEB_BUILD_OPTIONS parsing as
    suggested by policy.
  * Strip unneeded sections from binary.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 12 Sep 2008 13:40:26 +0200

tworld (1.3.0-3) unstable; urgency=low

  * Updated to Standards-Version 3.8.0:
    - Added Homepage source control field.
    - Added README.source because of quilt usage.
  * Add patch for fixing the manual pages, add quilt Build-Depends for that.
  * Updated copyright informations a bit.
  * Moved c4 into the debian directory, no changes outside of debian/ anymore.
  * Add desktop file (LP: #220311)

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 10 Jun 2008 12:53:47 +0200

tworld (1.3.0-2) unstable; urgency=low

  * Remove -s from LDFLAGS, makes DEB_BUILD_OPTIONS=nostrip work
    (closes: #438228)
  * Remove perl from Build-Depends since it's Build-Essential: yes.
  * Test for Makefile instead of ignoring make clean errors.
  * Switched to menu section Games/Puzzles due to removed Arcade section from
    new menu policy.
  * Added menu icon debian/tworld.xpm extracted from res/tiles.bmp.

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 20 Aug 2007 14:50:49 +0200

tworld (1.3.0-1) unstable; urgency=low

  * Initial release (closes: #373416)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 13 Jun 2006 06:27:02 -0500
