=== debian/control ===
Source: tworld
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper-compat (= 13), libsdl1.2-dev
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/pkg-games/tworld.git
Vcs-Browser: https://salsa.debian.org/pkg-games/tworld
Homepage: http://www.muppetlabs.com/~breadbox/software/tworld/

Package: tworld-data
Architecture: all
Replaces: tworld (<< 1.3.0-4)
Depends: ${misc:Depends}
Description: Chip's Challenge Game Engine Emulation - level data files
 Tile World is an emulation of the game "Chip's Challenge".  "Chip's
 Challenge" was originally written for the Atari Lynx by Chuck Sommerville,
 and was later ported to MS Windows by Microsoft (among other ports).
 .
 This package contains the architecture independent data files.

Package: tworld
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tworld-data (= ${source:Version})
Description: Chip's Challenge Game Engine Emulation
 Tile World is an emulation of the game "Chip's Challenge".  "Chip's
 Challenge" was originally written for the Atari Lynx by Chuck Sommerville,
 and was later ported to MS Windows by Microsoft (among other ports).
 .
 Please note: Tile World is an emulation of the game engine(s) only.  It does
 not come with the chips.dat file that contains the original level set.  This
 file is copyrighted and cannot be freely distributed.  The chips.dat file
 was originally part of the MS version of "Chip's Challenge".  If you have a
 copy of this version of the game, you can use that file to play the game in
 Tile World.  If you do not have a copy of this file, however, you can still
 play Tile World with the many freely available level sets created by fans of
 the original game, including CCLP2.  Because the version that Microsoft
 released introduced a number of changes to the rules of the game, Tile World
 is capable of emulating either the MS version or the original Atari Lynx
 version of the game.
