=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://www.muppetlabs.com/~breadbox/pub/software/tworld/  tworld-([0-9.]+)\.tar\.gz  debian  uupdate
# URL                                                      pattern                    version  script
