## tworld 2.3.0

=== debian/changelog ===
tworld (2.3.0-1) unstable; urgency=medium

  * d/watch: switch to follow github upstream.
  * New upstream version 2.3.0
  * d/control: change homepage.
  * d/control: switch to SV 4.7.0.
  * d/control: add R3: no.
  * d/control: update BD with qt6 and sdl2.
  * d/patches: refresh.
  * d/u/metadata: added.
  * d/copyright: update.
  * d/rules: simplified since upstream uses cmake.
  * d/*.{install,docs,desktop}: binary is tworld2.
  * d/README.source: removed, not very useful.
  * d/salsa-ci.yml: added to use Salsa CI.

 -- Patrice Duroux <patrice.duroux@gmail.com>  Sun, 16 Feb 2025 19:46:00 +0100

tworld (1.3.2-5) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint

  [ Rhonda D'Vine ]
  * Fix Vcs-* fields.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk export CC for configure. (Closes: #946136)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 19:38:04 +0100
