=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>
-Build-Depends: debhelper-compat (= 13), libsdl1.2-dev
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/pkg-games/tworld.git
-Vcs-Browser: https://salsa.debian.org/pkg-games/tworld
-Homepage: http://www.muppetlabs.com/~breadbox/software/tworld/
+Build-Depends: debhelper-compat (= 13), cmake, libsdl2-dev, qt6-base-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/games-team/tworld.git
+Vcs-Browser: https://salsa.debian.org/games-team/tworld
+Homepage: https://tw2.bitbusters.club
 
 Package: tworld-data
 Architecture: all
+Multi-Arch: foreign
 Replaces: tworld (<< 1.3.0-4)
 Depends: ${misc:Depends}
 Description: Chip's Challenge Game Engine Emulation - level data files
