=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')

%:
	dh $@

override_dh_auto_build:
	echo \#define COMPILE_TIME \"$(BUILD_DATE)\" > comptime.h
	dh_auto_build -- SKIP_AUTOGEN=ON

execute_after_dh_auto_install:
	pod2man -s 6 -r 'Tile World' -c '' debian/c4 \
		debian/tmp/usr/share/man/man6/c4.6
