=== debian/watch ===
version=4
https://github.com/SicklySilverMoon/tworld/tags .+/@ANY_VERSION@@ARCHIVE_EXT@
